#ifndef CONFIG_DIALOG_H
#define CONFIG_DIALOG_H

#include "ui_configdialog.h"

class KConfigDialog;

class ConfigDialog : public QObject, public Ui::ConfigDialog {
    Q_OBJECT
public:
    ConfigDialog(KConfigDialog*);
    ~ConfigDialog();

    void setCommand(const QString & command);
    QString command() const;

    void setTimeout(int value);
    int timeout() const;

    void setAllignment(int value);
    int allignment() const;

    void setFontColor(const QColor & color);
    QColor fontColor() const;

    void setFixed(bool fixed);
    bool isFixed() const;
    
    void setFont(const QFont & font);
    QFont font() const;

signals:
    void save();
};

#endif
